Freeciv-3.1: packet_ruleset_city Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_city Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | style_id
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | citizens_graphic [MAX_LEN_NAME]
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
char | graphic [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]

## Detailed Description

Definition at line 1192 of file packets_gen.h.

## Field Documentation

## ◆ citizens_graphic

char packet_ruleset_city::citizens_graphic[MAX_LEN_NAME]

Definition at line 1196 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().

## ◆ graphic

char packet_ruleset_city::graphic[MAX_LEN_NAME]

Definition at line 1199 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().

## ◆ graphic_alt

char packet_ruleset_city::graphic_alt[MAX_LEN_NAME]

Definition at line 1200 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().

## ◆ name

char packet_ruleset_city::name[MAX_LEN_NAME]

Definition at line 1194 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().

## ◆ reqs

struct requirement packet_ruleset_city::reqs[MAX_NUM_REQS]

Definition at line 1198 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().

## ◆ reqs_count

int packet_ruleset_city::reqs_count

Definition at line 1197 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().

## ◆ rule_name

char packet_ruleset_city::rule_name[MAX_LEN_NAME]

Definition at line 1195 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().

## ◆ style_id

int packet_ruleset_city::style_id

Definition at line 1193 of file packets_gen.h.

Referenced by handle_ruleset_city(), send_packet_ruleset_city_100(), and send_ruleset_cities().